@echo off
setlocal enableextensions enabledelayedexpansion

:: Window styling
title Login Launcher Checker & mode con cols=50 lines=6 & color F0

:: Path of directory where EXE is located
:: Here set to the same directory the batch script is located via a default variable.
:: Assumes no ! % & characters are in the file path within Windows File Explorer.
set "dir=%~dp0"

:: Example of alternative, valid absolute path below (remove the below :: to activate and replace with your own path)
:: set "dir=D:\Example\My Scripts\"

:: Filename of the EXE itself
set "file=Example.exe"

:: Set delay to wait before checking for EXE again (in seconds) 
set "delay=10"

:: Check for the EXE's presence
:detect
set "remaining=!delay!"
if exist !dir!!file! (
    echo. & echo   Found. Launching...
    start "" !file!
    call :wait
    ) else (
    echo. & echo   Not found yet...
    call :wait
    )

exit /b

:: Countdown loop
:wait
timeout 1 /nobreak >nul
cls & echo. & echo   Waiting...
echo. & echo   Next check: !remaining! seconds
set /a "remaining-=1"
if !remaining! geq 0 goto :wait
cls & goto :detect
exit /b